# Number Management - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` The Number Management webhooks allow developers to receive events for Number Management features. ## Operations ### POST number\_management.peering\_number\_emergency\_address\_updated - **Method:** `POST` - **Path:** `number_management.peering_number_emergency_address_updated` - **Tags:** number\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the customer using provider exchange. - **`object` (required)** `object` - **`carrier_code` (required)** `integer`, format: `int32` — The carrier code. - **`phone_numbers` (required)** `array` — The phone numbers (\[E.164]\(https\://en.wikipedia.org/wiki/E.164) format) with emergency address updates. - **`emergency_address`** `object` — The emergency address info. - **`address_line1` (required)** `string` — The emergency address(house number and street name). - **`address_line2`** `string` — The additional emergency address information (building, floor or unit number). - **`city`** `string` — The city. - **`country`** `string` — The abbreviated \[country ID]\(https\://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#countries) of country. - **`state_code`** `string` — The abbreviated \[state code]\(https\://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#states-1) of the state. - **`zip`** `string` — The zip code. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "emergency_address": { "country": "", "address_line1": "", "address_line2": "", "city": "", "zip": "", "state_code": "" }, "carrier_code": 1, "phone_numbers": [] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the customer using provider exchange. - **`object` (required)** `object` - **`carrier_code` (required)** `integer`, format: `int32` — The carrier code. - **`phone_numbers` (required)** `array` — The phone numbers (\[E.164]\(https\://en.wikipedia.org/wiki/E.164) format) with emergency address updates. - **`emergency_address`** `object` — The emergency address info. - **`address_line1` (required)** `string` — The emergency address(house number and street name). - **`address_line2`** `string` — The additional emergency address information (building, floor or unit number). - **`city`** `string` — The city. - **`country`** `string` — The abbreviated \[country ID]\(https\://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#countries) of country. - **`state_code`** `string` — The abbreviated \[state code]\(https\://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#states-1) of the state. - **`zip`** `string` — The zip code. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "emergency_address": { "country": "", "address_line1": "", "address_line2": "", "city": "", "zip": "", "state_code": "" }, "carrier_code": 1, "phone_numbers": [] } } } ``` ### POST number\_management.peering\_number\_cnam\_updated - **Method:** `POST` - **Path:** `number_management.peering_number_cnam_updated` - **Tags:** number\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the customer using provider exchange. - **`object` (required)** `object` - **`carrier_code` (required)** `integer`, format: `int32` — The carrier code. - **`phone_numbers` (required)** `array` — The phone numbers (\[E.164]\(https\://en.wikipedia.org/wiki/E.164) format) with CNAM updates. - **`cnam`** `string` — The caller ID name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "cnam": "", "carrier_code": 1, "phone_numbers": [] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the customer using provider exchange. - **`object` (required)** `object` - **`carrier_code` (required)** `integer`, format: `int32` — The carrier code. - **`phone_numbers` (required)** `array` — The phone numbers (\[E.164]\(https\://en.wikipedia.org/wiki/E.164) format) with CNAM updates. - **`cnam`** `string` — The caller ID name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "cnam": "", "carrier_code": 1, "phone_numbers": [] } } } ```